Redmine - Defect #40412

Issue list filter "Watched by: me" only shows issues watched via group for projects with the
view_issue_watchers permission

2024-03-15 22:16 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 5.0.9

Resolution: Fixed Affected version: 5.1.2
Description

When using the "Watched by: me" filter on the issue list, the filtered list will show all issues the current user is directly watching. The
filtered list will also show issues watched via a group membership, but only for issues in a project the user has the
view_issue_watchers permission.

Related issues:
Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

Associated revisions

Revision 22819 - 2024-05-11 10:35 - Marius BALTEANU

Fixes issue list filter "Watched by: me" only shows issues watched via group for projects with the view_issue_watchers permission (#40412).

Revision 22820 - 2024-05-11 10:53 - Marius BALTEANU

Adds test to check view_issue_watchers permission when filter "Watched by" (#40412).

Revision 22824 - 2024-05-12 09:42 - Marius BALTEANU
Merged r22819 and r22820 to 5.1-stable (#40412).

Revision 22825 - 2024-05-12 09:42 - Marius BALTEANU
Merged r22819 and r22820 to 5.0-stable (#40412).

Revision 22826 - 2024-05-13 09:45 - Go MAEDA
Fix RuboCop offense Style/RedundantSelfAssignment (#40412).

History

#1 - 2024-04-28 09:30 - Marius BALTEANU

- Related to Feature #25515: View attachments on the issue list added

#2 - 2024-04-28 09:30 - Marius BALTEANU

- Related to deleted (Feature #25515: View attachments on the issue list)

#3 - 2024-04-28 09:31 - Marius BALTEANU

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#4 - 2024-04-28 11:05 - Marius BALTEANU

- File 0001-Filter-Watched-by-me-should-include-issues-watched-b.patch added
- Status changed from New to Confirmed

- Assignee set to Marius BALTEANU

- Target version set to 5.0.9
Indeed, filter "Watcher is me" should include issues watched by current user groups regardless the permission. The attached patch fixes this.

#5 - 2024-04-28 11:05 - Marius BALTEANU
Also, the test coverage for this feature should be improved.

#6 - 2024-04-28 11:06 - Marius BALTEANU

- File deleted (0001-Filter-Watched-by-me-should-include-issues-watched-b.patch)

#7 - 2024-04-28 11:07 - Marius BALTEANU

- File 0001-Filter-Watcher-is-me-should-also-include-issues-watc.patch added

#8 - 2024-05-11 10:54 - Marius BALTEANU
- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fix committed with one additional test.

#9 - 2024-05-12 09:42 - Marius BALTEANU

- Status changed from Resolved to Closed

Files
0001-Filter-Watcher-is-me-should-also-include-issues-watc.patch 2.61 KB 2024-04-28 Marius BALTEANU
